return {
  'nvim-telescope/telescope.nvim',
  dependencies = {
    'nvim-lua/plenary.nvim',
    'nvim-telescope/telescope-fzy-native.nvim',
    'nvim-tree/nvim-web-devicons',
    'axkirillov/easypick.nvim',
  },
  config = function()
    local telescope = require('telescope')
    telescope.setup({
      defaults = {
        mappings = {
          i = {
            ['<C-s>'] = 'select_horizontal',
            ['<C-h>'] = 'preview_scrolling_left',
            ['<C-l>'] = 'preview_scrolling_right',
          },
          n = {
            ['<C-s>'] = 'select_horizontal',
            ['<C-h>'] = 'preview_scrolling_left',
            ['<C-l>'] = 'preview_scrolling_right',
          }
        },
        layout_config = {
          height = 0.7,
        }
      },
    })
    telescope.load_extension('fzy_native')

    -- TODO: Add more mappings?
    local opts = { noremap = true }
    vim.keymap.set('n', '<leader>gF', ':Telescope find_files<CR>', opts)
    vim.keymap.set('n', '<leader>gf', ':Telescope git_files<CR>', opts)
    vim.keymap.set('n', '<leader>gg', ':Telescope live_grep<CR>', opts)
    vim.keymap.set('n', '<leader>rg', ':Telescope grep_string<CR>', opts)
    vim.keymap.set('n', '<leader>gb', ':Telescope buffers<CR>', opts)
    vim.keymap.set('n', '<leader>gh', ':Telescope help_tags<CR>', opts)
    vim.keymap.set('n', '<leader>gs', ':Telescope lsp_document_symbols<CR>', opts)
    vim.keymap.set('n', '<leader>gr', ':Telescope lsp_references<CR>', opts)

    require('easypick').setup({
      pickers = { },
    })
  end
}
